#!/usr/bin/env python
#
# Copyright 2009 Canonical Ltd.
#
# This file is part of desktopcouch.
#
#  desktopcouch is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# as published by the Free Software Foundation.
#
# desktopcouch is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with desktopcouch.  If not, see <http://www.gnu.org/licenses/>.
"""setup.py"""

# DistUtilsExtra.auto exists in karmic. If you need to build this package
# on jaunty, install the package from karmic.

# pylint: disable-msg=E0611
# pylint: disable-msg=F0401

from setuptools import setup, find_packages

setup(
    name='desktopcouch',
    version='0.0.1',
    description='A dictionary based record representation.',
    url='https://launchpad.net/desktopcouch',
    license='LGPLv3',
    author='Stuart Langridge',
    author_email='stuart.langridge@canonical.com',
    packages=find_packages(),
)
